### Method

# Soup Auth get_scheme_name

#### Declaration [src]

    const char*
    soup_auth_get_scheme_name (
      SoupAuth* auth
    )

#### Description [src]

Returns `auth`‘s scheme name. (Eg, “Basic”, “Digest”, or “NTLM”)

Gets property | `Soup.Auth:scheme-name`

#### Return value

Type: `const char*`

The scheme name.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.